# -*- coding: ISO-8859-1 -*-

############################################################################## 
## 2004, Arnulf Heimsbakk
## 
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR 
## ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
## DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
## SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
## CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
## LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
## OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
## SUCH DAMAGE.
##
## Otherwise the GPL license: http://www.gnu.org/licenses/gpl.txt
##############################################################################
    
import lis, os
from Globals import ImageFile

misc_ = {}

for root, dirs, files in os.walk(os.path.join(os.path.dirname(__file__), "www")):
    for file in files:
        if file[-3:] == "gif":
            misc_[file] = ImageFile('www/%s' % file, globals())    

# creates folders we need
for names in lis._get_cache_dirs():
    if not os.path.exists(names):
        os.makedirs(names)

def initialize(registrar):
    registrar.registerClass(
        lis.LocalImageSystem,
        constructors = (lis.manage_addLISForm, 
                        lis.manage_addLIS)
        )
    
    #registrar.registerHelp()
    #registrar.registerHelpTitle('ImageFS')
